:host {
    #body-container {
        position: relative;
        #table-container {
            overflow: auto; 
        }
        #add-record-btn {
            position: absolute;
            right: 20px;
            bottom: 20px;
            z-index: 2;
        }
    }

    .clicked-row {
        background-color: rgba(0, 0, 0, 0.1);
    }

    .element-row td {
        border-bottom-width: 0;
      }

    tr.expanded-detail-row {
        height: 0;
    }

    .expanded-detail {
        overflow: hidden;
        display: flex;
        padding: 0 0 8px 0;
    }

    mat-chip {
        background-color: rgb(0 157 0);
        color: white;
    }
}

::ng-deep .record-detail-dialog-container .mat-dialog-container {
    padding: 0;
}

::ng-deep .daily-report-dialog-container .mat-dialog-container {
    padding: 0;
}
